{-# LANGUAGE ImportQualifiedPost #-}
{-# LANGUAGE OverloadedStrings #-}

module Main (main) where

-- import Compiler.ExeGen
import Compiler.LLVMGen
import Data.Text.Lazy.IO qualified as T
import Parser.Expr
import System.Environment
import Types.Expr

getRight :: ParseResult -> Expr
getRight (Right r) = r

main :: IO ()
main = do
  fileName <- fmap head getArgs
  contents <- readFile fileName
  let parsed = getRight (parseExpr contents)
  T.putStrLn (llvmGen parsed)
